blob: b339226c83d1a2ac47fda191ca1e6c81e98871d6 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
|
--- root/Makefile.orig 2012-07-13 13:42:46.000000000 +0400
+++ root/Makefile 2012-07-22 00:15:03.282994389 +0400
@@ -1087,16 +1087,7 @@
ifeq ($(BUILDX11),yes)
ifeq ($(BUILDASIMAGE),yes)
-html: rootexecs postbin changelog releasenotes
-ifneq ($(USECONFIG),FALSE)
- @if [ "x`which root.exe`" != "x$(DESTDIR)$(BINDIR)/root.exe" ] \
- || [ "`which root.exe`" -ot "bin/root.exe" ]; then \
- echo 'ERROR: root.exe has not been installed by this build.'; \
- echo ' Run "make install" before running "make html".'; \
- exit 1; \
- fi
-endif
- @$(MAKELOGHTML)
+html: compiledata releasenotes
@$(MAKEHTML)
else
html:
--- root/build/unix/makehtml.sh.orig 2012-06-28 11:33:36.000000000 +0400
+++ root/build/unix/makehtml.sh 2012-07-22 00:18:58.705804436 +0400
@@ -1,16 +1,16 @@
#! /bin/sh
dir=`pwd`
-ROOT=$dir/bin/root
+ROOT=root
cd tutorials
# we need tutorials/hsimple.root
if [ ! -f hsimple.root ]; then
- $ROOT -l -b -q hsimple.C
+ $ROOT -l -b -q hsimple.C && exit 1
fi
cd tree
# we need tutorials/tree/cernstaff.root
if [ ! -f cernstaff.root ]; then
- $ROOT -l -b -q cernbuild.C
+ $ROOT -l -b -q cernbuild.C || exit 1
fi
cd $dir
@@ -20,7 +20,7 @@
# To generate the full documentation, we do need to
# use the graphics engine, so do not use '-b'.
-$ROOT -l <<makedoc
+$ROOT -l <<makedoc || exit 1
THtml h;
h.LoadAllLibs();
h.MakeAll();
|